# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rooted_tree/version'

Gem::Specification.new do |spec|
  spec.name          = 'rooted_tree'
  spec.version       = RootedTree::VERSION
  spec.authors       = ['Sebastian Lindberg']
  spec.email         = ['seb.lindberg@gmail.com']

  spec.summary       = 'A basic implementation of a tree data structure.'
  spec.description   = 'This gem implements a rooted, ordered tree, with a ' \
                       'focus on easy iteration over nodes and access to ' \
                       'basic tree properties.' \
                       "\n\n" \
                       'Moved to ---> "rooted".'
  spec.homepage      = 'https://github.com/seblindberg/ruby-rooted_tree'
  spec.license       = 'MIT'

  spec.post_install_message = <<-MESSAGE
  !    The 'rooted_tree' gem has been deprecated and replaced by 'rooted'.
  !    See: https://rubygems.org/gems/rooted
  !    And: https://github.com/seblindberg/ruby-rooted
  MESSAGE

  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0")
                     .reject { |f| f.match(%r{^(test|spec|features)/}) }
  end

  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'linked', '~> 0.1.1'

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'minitest', '~> 5.0'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'redcarpet', '~> 3.4'
  spec.add_development_dependency 'rubocop', '~> 0.52'
  spec.add_development_dependency 'simplecov', '~> 0.16'
  spec.add_development_dependency 'yard', '~> 0.9'
end
